Redmine - Defect #17630

Non-Administrator account can't show Issues list on multi role.
2014-08-08 06:56 - Jun NAITOH

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version: 2.4.0

Description

If Redmine r11963 (2.4.0) later, Non-Administrator account can't show Issues list on multi role.

1. I maked Issue for test prj.
Home My page Projects Administration Help Logged in as admin

test prj Search:

Overview  Activity RGCSI[S3 Mew issue Gantt Calendar News Documents Wiki Files  Setting

Issues lssues
¥ Filters View all iss
Status apen v Add filter - Summary
Calendar
» Options Gantt

o Apply -@ Clear | Save

«+ # v Tracker Status Priority Subject Assignee Updated
1 Bug New Mormal testl 08/08/2014 12:48 PM

(1-1/1)

2. It is not displayed in non-Administrator account, but when "issues/1" URL is specified, | can show it.
Home My page Projects Help Logged in as test M

test prj

Overview  Activity RCSIEI New issue Gantt  Calendar News Documents Wiki Files Settings

Issues lssues
¥ Filters View all issw
Status apen w Add filter - Summary
Calendar
» Options Gantt

" Apply @ Clear | Save

| MNo data to display I

Also available in: E) Atom | CSV | PDF
https://www.redmine.org/projects/redmine/repository/svn/revisions/11963
3. This problem occurs in the user who has two or more rolls with "View Issues" authority.
When the following line was deleted by way of experiment, this problem was solved.

http://www.redmine.org/projects/redmine/repository/revisions/11963/entry/trunk/app/models/issue_query.rb#l 265

265: joins(:status, :project).

My environment

e CentOS 6.3 x86_64

# ruby script/about

sh: darcs: command not found
sh: hg: command not found
sh: bzr: command not found
Environment:

Redmine version

Ruby version

Rails version

Environment

Database adapter
SCM:

Subversion

Git

Filesystem
Redmine plugins:

no plugin installed

2.5.2.stable

2.0.0-p481 (2014-05-08)
3.2.19

production

SQLite

[x86_64-1inux]

History

#1 - 2014-09-06 13:57 - Toshi MARUYAMA

- Target version set to 2.4.7

#2 - 2014-09-14 15:15 - Jean-Philippe Lang

- Status changed from New to Needs feedback
http://www.redmine.org/projects/redmine/repository/revisions/11963/entry/trunk/app/models/issue_query.rb#L265

Thanks for this detailed report but I'm not able to reproduce this probelm with the permissions set as in your example.

#3 - 2014-09-16 16:48 - Jun NAITOH

| tried CentOS 6.0 i686 environment, now.

| reproduced Ruby-1.9.3-p392 and SQLite DB on Redmine 2.4.6.
But | can't reproduced MySQL DB on Redmine 2.4.6.

It may be a problem which occurs in the SQL DB environment.

#4 - 2014-09-28 16:58 - Jean-Philippe Lang

Tested with ruby1.9.3 and SQLite and same permissions, works for me.

#5 - 2014-09-28 16:58 - Jean-Philippe Lang
- Target version deleted (2.4.7)

- Resolution set to Cant reproduce

#6 - 2015-08-23 17:03 - Jan Niggemann (redmine.org team member)
- Status changed from Needs feedback to Closed
